DOMElement::setAttribute
DOMElement::setAttributeNodeNS
DOMElement
PHP Manual

# DOMElement::setAttributeNode

Adds new attribute node to element

### Description

public DOMAttr DOMElement::setAttributeNode ( DOMAttr `$attr` )

Adds new attribute node `attr` to element.

### Parameters

`attr`

  The attribute node.

### Return Values

Returns old node if the attribute has been replaced or `NULL`.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

### See Also

- DOMElement::hasAttribute
- DOMElement::getAttributeNode
- DOMElement::removeAttributeNode